For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTCreateCallList
        • POSTAppendToCallList
        • POSTCancelCallListBatch
        • POSTEditCallList
        • POSTEditCallListTasksPriority
        • POSTDeleteCallList
        • POSTGetCallLists
        • POSTGetCallListDetails
        • POSTEditCallListTask
        • POSTCancelCallListTask
        • POSTStopCallListProcessing
        • POSTRecoverCallList
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceCall Lists

EditCallListTask

||View as Markdown|
POST
https://api.voximplant.com/platform_api/EditCallListTask
POST
/platform_api/EditCallListTask
$curl -X POST "https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01%2009%3A00%3A00&custom_data=priority" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": true
3}

Edits the specified call list’s task.

Allowed roles: Owner, Admin, Developer, Call list manager, Support.

Example request: Set attempts_left, start_at, and custom_data the task with id=1 in the call list with id=1.

Was this page helpful?
Previous

GetCallListDetails

Next

CancelCallListTask

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

list_idintegerRequired
Call list's ID
task_idintegerOptional
Call list's task ID. Please specify either the task's ID or the task's UUID to edit the task
task_uuidstringOptional
Call list's task ID. Please specify either the task's ID or the task's UUID to edit the task. The UUID is unique within the call list
start_atstringOptional

Next calling attempts timestamp in the yyyy-MM-dd HH:mm:ss format

attempts_leftintegerOptional
Number of remaining calling attempts
custom_datastringOptional
Custom data string
min_execution_timestringOptional

Optional. Start time for the daily calling attempts in the UTC+0 24-h format: HH:mm:ss format. If spefied, please specify max_execution_time as well

max_execution_timestringOptional

Optional. End time for the daily calling attempts in the UTC+0 24-h format: HH:mm:ss format. If spefied, please specify min_execution_time as well

Response

Successful response
resultboolean
Whether the request completed successfully